package example;

/**
 * This exception occurs when a line of the file being processed is not in the expected
 * syntax: "str=val". The exception keeps the line number of the line that invalidates this
 * syntax.
 */

public class SyntaxException extends RuntimeException {
    private static final long serialVersionUID = 1L;

	private String errorLine;
	/**
	 * Constructs a SyntaxException with the file line number where the syntax error was found.
	 * 
	 * @param st is a String containing the line number.
	 */
    public SyntaxException(String st){
        this.errorLine = st;
    }

    public String getErrorLine(){
        return errorLine;
    }
}
